<template>
  <table :key="language_switch" role="region" aria-label="Labels">
    <thead>
    <tr>
      <th role="columnheader">text</th>
      <th role="columnheader">role</th>
    </tr>
    </thead>
    <tbody>
    <tr v-for="label in current_language_labels()" :key="label.id+label.link_role">
      <td style="vertical-align: top;" class="q-pr-sm">{{ label.label_text }}</td>
      <td style="vertical-align: top;" class="q-pr-sm">{{ label_nice_role(label) }}</td>
    </tr>
    </tbody>

  </table>
</template>

<script>
import SharedMethods from "components/SharedMethods";

export default {
  name: "LabelTable",
  methods: {
    current_language_labels: function () {
      return this.labels.filter(
        function (label) {
          return label.lang === SharedMethods.get_lang()
        }
      )
    }
  },
  created() {
    this.label_nice_role = SharedMethods.label_nice_role
    this.get_label = SharedMethods.get_label
  },
  props: {
    labels: Array,
    preferred_label: String
  },
  data() {
    return {language_switch: 0}
  },
  watch: {
    "$route.query.lang": function () {
      this.language_switch = this.$route.query.lang
    }
  }

}
</script>

<style scoped lang="scss">
table {
  border-collapse: collapse;
}

th {
  text-align: left;
}

td {
  border: 1px solid $blue-grey-11;
}

tbody tr:nth-child(odd) {
  background-color: $blue-grey-1;
}
</style>
